﻿using Microsoft.EntityFrameworkCore;

namespace BlazorApp3.Data
{
    public class OrderDataAccessLayer
    {
        public OrderContext context = new OrderContext();

        //To Get all Orders details   
        public DbSet<Order> GetAllOrders()
        {
            try
            {
                
                return context.Orders;
            }
            catch
            {
                throw;
            }
        }

       // To Add new Order record
        public void AddOrder(Order Order)
        {
            try
            {
                context.Orders.Add(Order);
            }
            catch
            {
                throw;
            }
        }
        public async void SaveChangesAsync()
        {
            try
            {
                bool haschanged = context.ChangeTracker.HasChanges();
                if (haschanged)
                {
                    await context.SaveChangesAsync();

                }
            }
            catch
            {
                throw;
            }
        }
        public  void SaveChanges()
        {
            try
            {
                bool haschanged = context.ChangeTracker.HasChanges();
                if (haschanged)
                {
                    context.SaveChanges();

                }
            }
            catch
            {
                throw;
            }
        }

        //Get the details of a particular Order    
        public Order GetOrderData(int id)
        {
            try
            {
                Order Order = context.Orders.Find(id);
                return Order;
            }
            catch
            {
                throw;
            }
        }

        //To Delete the record of a particular Order    
        public void DeleteOrder(int id)
        {
            try
            {
                Order ord = context.Orders.Find(id);             
                context.Orders.Remove(ord);
            }
            catch
            {
                throw;
            }
        }
    }
}
